'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.user = exports.token = exports.webPort = exports.serverPort = exports.serverHost = exports.serverAddress = exports.device = undefined;

var _minimistArgv = require('minimist-argv');

var _minimistArgv2 = _interopRequireDefault(_minimistArgv);

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

var _detectBoard = require('./utils/detectBoard');

var _detectBoard2 = _interopRequireDefault(_detectBoard);

var _parseHostPort = require('./utils/parseHostPort');

var _parseHostPort2 = _interopRequireDefault(_parseHostPort);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

if (_minimistArgv2.default.port || _minimistArgv2.default.host) {
  console.warn('--port and --host are deprecated, use --address instead');
}

if (process.env.SERVER_HOST || process.env.SERVER_PORT) {
  console.warn('env variables SERVER_HOST and SERVER_PORT are deprecated, use /etc/pooliot-client/config or --address instead');
}

if (process.env.SERVER_ADDRESS) {
  console.warn('env variable SERVER_ADDRESS is deprecated, use /etc/pooliot-client/config instead');
}

if (process.env.WEB_PORT) {
  console.warn('env variable WEB_PORT is deprecated, use /etc/pooliot-client/config instead');
}

if (_minimistArgv2.default['web-port']) {
  console.warn('--web-port is deprecated, use /etc/pooliot-client/config instead');
}

if (process.env.USER_ID) {
  console.warn('env variable USER_ID is deprecated, use /etc/pooliot-client/config or --token instead');
}

if (_minimistArgv2.default['web-port']) {
  console.warn('--userId is deprecated, use --token instead');
}

if (process.env.PI_USER) {
  console.warn('env variable PI_USER is deprecated, use /etc/pooliot-client/config instead');
}

if (_minimistArgv2.default.piUser) {
  console.warn('--piUser is deprecated, use /etc/pooliot-client/config instead');
}

if (process.env.USER !== 'root' && process.env.USER) {
  console.warn('env variable USER is deprecated, use /etc/pooliot-client/config instead');
}

const device = exports.device = (0, _detectBoard2.default)();

const serverAddress = exports.serverAddress = process.env.SERVER_ADDRESS || _minimistArgv2.default.address || _config2.default.ADDRESS || 'https://pooliot.net:9310';
const [serverHost, serverPort] = (0, _parseHostPort2.default)(serverAddress);

exports.serverHost = serverHost;
exports.serverPort = serverPort;
const webPort = exports.webPort = process.env.WEB_PORT || _minimistArgv2.default['web-port'] || _config2.default.WEB_PORT || 80;
const token = exports.token = process.env.TOKEN || _minimistArgv2.default.token || _config2.default.TOKEN || process.env.USER_ID || _minimistArgv2.default.userId;

const guessUser = () => {
  if (!device.user) throw new Error('Please provide USER');
  return device.user;
};

const user = exports.user = process.env.USER !== 'root' && process.env.USER || process.env.PI_USER || _minimistArgv2.default.piUser || _config2.default.USER || guessUser();

if (!serverAddress || serverAddress === ':') {
  // eslint-disable-next-line no-console
  console.log('WARNING: address is missing');
}

if (!token) {
  // eslint-disable-next-line no-console
  console.log('WARNING: userId is missing');
}
//# sourceMappingURL=params.js.map